[ Maverik Level 1 functions ]

#

mav_paletteLightPositioning

## Summary

Set palette light positioning.

## Syntax

void mav_paletteLightPositioning(MAV_palette *p, int index, int pos);

- MAV_palette *p
  Palette to set.

- int index
  Index into lights table, in range 0..`mav_opt_maxLights` (default 5).

- int pos
  Positioning strategy.

## Description

This function sets the positioning strategy of the light at entry `index` in the light table of palette `p` to be `pos`.

Acceptable values of `pos` are:

- `MAV_LIGHT_RELATIVE` (the default) to specify that the light is to be positioned relative to the eye, and subsequently follow it, to give a car-headlight effect.

- `MAV_LIGHT_ABSOLUTE` to specify that the light is to be positioned in world coordinates to give the effect of a light at a fixed position in the model.

Back to the index page.